SeExpr

Public Member Functions | Public Attributes | List of all members
ColorSwatchEditable Struct Reference

`#include <Editable.h>`

Inheritance diagram for ColorSwatchEditable:

## Public Member Functions
| ColorSwatchEditable (const std::string &name, int startPos, int endPos)
bool | parseComment (const std::string &comment)
| parses a comment. if false is returned then delete the control from the editable More...
std::string | str () const
void | appendString (std::stringstream &stream) const
virtual bool | controlsMatch (const Editable &other) const
void | add (const SeExpr2::Vec3d &value)
void | change (int index, const SeExpr2::Vec3d &value)
void | remove (int index)
void | print ()
Public Member Functions inherited from Editable
| Editable (const std::string &name, int startPos, int endPos)
void | updatePositions (const Editable &other)
virtual | ~Editable ()

## Public Attributes
std::vector< SeExpr2::Vec3d > | colors
std::string | labelType
Public Attributes inherited from Editable
std::string | name
int | startPos
int | endPos

## Detailed Description

Definition at line 274 of file Editable.h.

## Constructor & Destructor Documentation

## ◆ ColorSwatchEditable()

ColorSwatchEditable::ColorSwatchEditable | ( | const std::string & | name,
|  | int | startPos,
|  | int | endPos
| ) |  |
| inline

Definition at line 278 of file Editable.h.

## Member Function Documentation

## ◆ add()

void ColorSwatchEditable::add | ( | const SeExpr2::Vec3d & | value | ) |
| inline

Definition at line 313 of file Editable.h.

References colors, and value().

Referenced by ColorSwatchControl::colorAdded().

## ◆ appendString()

void ColorSwatchEditable::appendString | ( | std::stringstream & | stream | ) | const
| inline virtual

Implements Editable.

Definition at line 296 of file Editable.h.

References colors, and printVal().

## ◆ change()

void ColorSwatchEditable::change | ( | int | index,
|  | const SeExpr2::Vec3d & | value
| ) |  |
| inline

Definition at line 315 of file Editable.h.

References colors, index(), and value().

Referenced by ColorSwatchControl::colorChanged().

## ◆ controlsMatch()

virtual bool ColorSwatchEditable::controlsMatch | ( | const Editable & | other | ) | const
| inline virtual

Implements Editable.

Definition at line 304 of file Editable.h.

References UNUSED.

## ◆ parseComment()

bool ColorSwatchEditable::parseComment | ( | const std::string & | comment | ) |
| inline virtual

parses a comment. if false is returned then delete the control from the editable

Implements Editable.

Definition at line 280 of file Editable.h.

References labelType.

## ◆ print()

void ColorSwatchEditable::print | ( |  | ) |
| inline

Definition at line 319 of file Editable.h.

References colors.

## ◆ remove()

void ColorSwatchEditable::remove | ( | int | index | ) |
| inline

Definition at line 317 of file Editable.h.

References colors, and index().

Referenced by ColorSwatchControl::colorRemoved().

## ◆ str()

std::string ColorSwatchEditable::str | ( |  | ) | const
| inline virtual

Reimplemented from Editable.

Definition at line 290 of file Editable.h.

References Editable::name.

## Member Data Documentation

## ◆ colors

std::vector<SeExpr2::Vec3d> ColorSwatchEditable::colors

Definition at line 275 of file Editable.h.

Referenced by add(), appendString(), ColorSwatchControl::buildSwatchWidget(), change(), ColorSwatchControl::colorAdded(), ColorSwatchControl::colorChanged(), ColorSwatchControl::colorRemoved(), print(), and remove().

## ◆ labelType

std::string ColorSwatchEditable::labelType

Definition at line 276 of file Editable.h.

Referenced by ColorSwatchControl::ColorSwatchControl(), and parseComment().

The documentation for this struct was generated from the following file:

- /build/seexpr/src/SeExpr/src/SeExpr2/UI/Editable.h